Package io.vertx.rxjava3.ext.web.templ.pug

## Class PugTemplateEngine

- java.lang.Object
- - io.vertx.rxjava3.ext.web.common.template.TemplateEngine
  - - io.vertx.rxjava3.ext.web.templ.pug.PugTemplateEngine

-     public class PugTemplateEngine
      extends TemplateEngine

  A template engine that uses Pug. The `TemplateEngine.unwrap()` shall return an object of class

  Thís interface has been copied from JadeTemplateEngine.java. Authors of JadeTemplateEngine.java are Tim Fox, Paulo Lopes (pmlopes), Julien Viet (vietj), Roman Novikov (mystdeim), nEJC (mrnejc), Yunyu Lin, Kevin Macksamie (k-mack), Geoffrey Clements (baldmountain).

  For authors of this file see git history.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<PugTemplateEngine>` | `__TYPE_ARG` |
    `static String` | `DEFAULT_TEMPLATE_EXTENSION` | Default template extension

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PugTemplateEngine​(PugTemplateEngine delegate)` |
    `PugTemplateEngine​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PugTemplateEngine` | `create​(Vertx vertx)` | Create a template engine using defaults
    `static PugTemplateEngine` | `create​(Vertx vertx, String extension)` | Create a template engine using defaults
    `static PugTemplateEngine` | `create​(Vertx vertx, String extension, String encoding)` | Create a template engine using defaults
    `boolean` | `equals​(Object o)` |
    `PugTemplateEngine` | `getDelegate()` |
    `int` | `hashCode()` |
    `static PugTemplateEngine` | `newInstance​(PugTemplateEngine arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class io.vertx.rxjava3.ext.web.common.template.TemplateEngine

      `clearCache, newInstance, render, render, rxRender, rxRender, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<PugTemplateEngine> __TYPE_ARG

    - #### DEFAULT_TEMPLATE_EXTENSION

          public static final String DEFAULT_TEMPLATE_EXTENSION

      Default template extension
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PugTemplateEngine

          public PugTemplateEngine​(PugTemplateEngine delegate)

    - #### PugTemplateEngine

          public PugTemplateEngine​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `TemplateEngine`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `TemplateEngine`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `TemplateEngine`

    - #### getDelegate

          public PugTemplateEngine getDelegate()

      Overrides:
        `getDelegate` in class `TemplateEngine`

    - #### create

          public static PugTemplateEngine create​(Vertx vertx)

      Create a template engine using defaults
      Parameters:
        `vertx` -
      Returns:
        the engine

    - #### create

          public static PugTemplateEngine create​(Vertx vertx,
                                                 String extension)

      Create a template engine using defaults
      Parameters:
        `vertx` -
        `extension` -
      Returns:
        the engine

    - #### create

          public static PugTemplateEngine create​(Vertx vertx,
                                                 String extension,
                                                 String encoding)

      Create a template engine using defaults
      Parameters:
        `vertx` -
        `extension` -
        `encoding` -
      Returns:
        the engine

    - #### newInstance

          public static PugTemplateEngine newInstance​(PugTemplateEngine arg)